# Copiers

Manage copy traders that replicate trades from strategies.

## Endpoints

| Method | Path                    | Description   |
| ------ | ----------------------- | ------------- |
| GET    | `/v1/copiers`           | List copiers  |
| GET    | `/v1/copiers/:id`       | Get copier    |
| POST   | `/v1/copiers`           | Create copier |
| PATCH  | `/v1/copiers/:id`       | Update copier |
| DELETE | `/v1/copiers/:id`       | Delete copier |
| POST   | `/v1/copiers/:id/start` | Start copier  |
| POST   | `/v1/copiers/:id/stop`  | Stop copier   |

***

### List Copiers

```
GET /v1/copiers
```

```bash
curl https://rest-api.tokenbot.com/v1/copiers \
  -H "X-API-Key: tb_live_your_key"
```

***

### Get Copier

```
GET /v1/copiers/:id
```

***

### Create Copier

```
POST /v1/copiers
```

**Request Body:**

```json
{
  "strategy_id": "str_abc123",
  "exchange_account_id": "exc_def456",
  "name": "My BTC Copier"
}
```

```bash
curl -X POST https://rest-api.tokenbot.com/v1/copiers \
  -H "X-API-Key: tb_live_your_key" \
  -H "Content-Type: application/json" \
  -d '{"strategy_id":"str_abc123","exchange_account_id":"exc_def456","name":"My BTC Copier"}'
```

***

### Update Copier

```
PATCH /v1/copiers/:id
```

***

### Delete Copier

```
DELETE /v1/copiers/:id
```

***

### Start Copier

```
POST /v1/copiers/:id/start
```

Activates the copier to begin replicating trades.

```bash
curl -X POST https://rest-api.tokenbot.com/v1/copiers/cop_abc123/start \
  -H "X-API-Key: tb_live_your_key"
```

***

### Stop Copier

```
POST /v1/copiers/:id/stop
```

Pauses the copier. Existing positions are not closed.

```bash
curl -X POST https://rest-api.tokenbot.com/v1/copiers/cop_abc123/stop \
  -H "X-API-Key: tb_live_your_key"
```
